<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'question', language 'en_wp', version '3.2'.
 *
 * @package     question
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['generalfeedback_help'] = 'General feedback is shown to the learner after they have completed the question. Unlike specific feedback, which depends on the question type and what response the learner gave, the same general feedback text is shown to all learners.

You can use the general feedback to give learners a fully worked answer and perhaps a link to more information they can use if they did not understand the questions.';
$string['howquestionsbehave_help'] = 'Learners can interact with the questions in the quiz in various different ways. For example, you may wish the learners to enter an answer to each question and then submit the entire quiz, before anything is graded or they get any feedback. That would be \'Deferred feedback\' mode.

Alternatively, you may wish for learners to submit each question as they go along to get immediate feedback, and if they do not get it right immediately, have another try for fewer marks. That would be \'Interactive with multiple tries\' mode.

Those are probably the two most commonly used modes of behaviour.';
$string['penaltyfactor_help'] = 'This setting determines what fraction of the achieved score is subtracted for each wrong response. It is only applicable if the quiz is run in adaptive mode.

The penalty factor should be a number between 0 and 1. A penalty factor of 1 means that the learner has to get the answer right in his first response to get any credit for it at all. A penalty factor of 0 means the learner can try as often as he likes and still get the full marks.';
$string['specificfeedback_help'] = 'Feedback that depends on what response the learner gave.';
